Page MenuHomePhabricator

Add Rule base class for DICOM source imagereferences
Closed, ResolvedPublic

Description

One base class should be implemented that makes the basic handling to establish DICOM image source relations.

Idea is that one just needs to derive from this new class and just adds the purpose information etc. that are needed to distinct different source relations.

IMPORTANT: All DICOM relation entries that differ per slice and timepoint (e.g. the referenced instance UID or SOP class UID) are stored under the same key but in a SpatioTemporalProperty. Background/Reason: This only happend with images due to the MITK image volume vs DICOM staple discrepancy. If we write it into DICOM each slice will have its own IOD and thus there is no conflict in tag transfer. Each slice will get its specific value out of the property.

Revisions and Commits

Event Timeline

floca removed floca as the assignee of this task.Nov 27 2017, 1:49 PM
floca added a comment.Mar 12 2019, 3:16 PM

Tags/Properties that should be used/filled by the rules can be found

( - https://dicom.innolitics.com/ciods/ct-image/general-reference/00089215 ; curently only nice to have, because we have no encoding convention so far)

floca added a revision: Restricted Differential Revision.Apr 15 2019, 5:45 PM
floca closed this task as Resolved.Apr 24 2019, 1:29 PM